当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 绝对帮助:64位英文系统下解决ibus灰色无法调用问题。
帖子发表于 : 2008-11-14 7:43 

注册: 2008-09-18 16:37
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
1.
编辑/usr/lib/gtk-2.0/2.10.0/immodule-files.d/libgtk2.0-0.immodules
sudo vi /usr/lib/gtk-2.0/2.10.0/immodule-files.d/libgtk2.0-0.immodules
在文件到最后添加两行:
"/usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so"
"ibus" "X Input Method" "gtk20" "/usr/share/locale" "zh"

2.
在~/.profile尾部,填写:
export XMODIFIERS=@im=ibus
export GTK_IM_MODULE=ibus
export QT_IM_MODULE=ibus

本人实机安装,没有更新“语言支持“,仍然成功安装。可能的话,可以彻底删除scim:
sudo aptitude purge ~nscim
该方法似乎不会产生删除im-switch的情况.对有的朋友可以参考一下,也许它对你还会有用。

3.
如果以上方法未能实现,可能时编译configure时位置问题,请参考:
编译dubs-python: ./configure --prefix=/usr
编译ibus: ./configure --prefix=/usr--with-gtk-im-module-dir=/usr/lib/gtk-2.0/2.10.0/immodules/
编译拼音: ./configure --prefix=/usr

本文内容来自http://forum.ubuntu.org.cn/viewtopic.php?f=8&t=147333&start=0&st=0&sk=t&sd=a。帮助有问题的朋友在此走捷径。本人不使用五笔,具体情况请参考该帖。我只是复制粘贴了下,针对特别问题写成该帖,本人在安装ibus过程中耗费了大量的时间,希望U友不要再有这种情况。

4.
顺便提一下,该方法在64位英文系统下使用,并实现。重装过两次,均通过测试。不过,如果装拼音引擎的时候,最好还是让程序自己下载,自己单独下载放在engine文件夹中似乎会出问题,如果引擎安装过程中有error产生,把先前解压编译过的文件夹删除并再次重新解压后编译拼音文件


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译